
Summary: A git GUI viewer
Name: qgit
Version: 1.5.7
Release: %mkrel 1
Source0: http://ovh.dl.sourceforge.net/sourceforge/qgit/%{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://sourceforge.net/projects/qgit
BuildRequires: scons 
BuildRequires: qt3-devel
Requires: git-core

%define qtdir /usr/lib/qt3

%description
With qgit you will be able to browse revisions history, view patch content
and changed
files, graphically following different development branches.

Main features
- View revisions, diffs, files history, files annotation, archive tree.
- Commit changes visually cherry picking modified files.
- Apply or format patch series from selected commits, drag and
  drop commits between two instances of qgit.
- qgit implements a GUI for the most common StGIT commands like push/pop
  and apply/format patches. You can also create new patches or refresh
  current top one using the same semantics of git commit, i.e. cherry
  picking single modified files.
   
%prep
%setup -q

%build

export QTDIR=%{qtdir}
%configure --with-qt-libraries=$QTDIR/%{_lib}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc README





%changelog
* Fri Dec 28 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.7-1mdv2008.1
+ Revision: 138836
- update to new version 1.5.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.6-1mdv2008.0
+ Revision: 72209
- 1.5.6


* Thu Mar 01 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.5-1mdv2007.0
+ Revision: 130458
- 1.5.5

* Sat Jan 06 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.4-1mdv2007.1
+ Revision: 104939
- 1.5.4

* Sat Oct 14 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.5.2-1mdv2007.1
+ Revision: 64638
- 1.5.2
- Import qgit

* Tue Jul 18 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4-1mdv2007.0
- New release 1.4

* Sun Jun 18 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-2mdv2007.0
- drop Requires: cogito (thanks to Marco Costalba)

* Thu Jun 08 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.3-1mdk
- New release 1.3

* Wed May 03 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.2-1mdk
- New release 1.2

* Tue Mar 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-2mdk
- fix build on x86_64
- add description

* Mon Mar 20 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.1-1mdk
- New release 1.1.1
- use configure and makeinstall macros

* Fri Dec 30 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.0-1mdk
- New release 1.0
- requires git-core instead of linus-git

* Sat Dec 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97.3-1mdk
- New release 0.97.3

* Sun Nov 13 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97.2-1mdk
- New release 0.97.2

* Sun Nov 06 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97-2mdk
- rebuild with new scons (fix build on x86_64)

* Fri Nov 04 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.97-1mdk
- New release 0.97

* Tue Oct 18 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.96.1-1mdk
- New release 0.96.1

* Wed Oct 05 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.95.1-1mdk
- New release 0.95.1

* Thu Sep 08 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.93-1mdk
- first mandriva release

